<?php
require('mysqli_connect.php');

$username = $_POST['username'];
$password = $_POST['password'];

$query = "SELECT * FROM users WHERE username=? AND password=?";
$stmt = mysqli_prepare($dbc, $query);
mysqli_stmt_bind_param($stmt, "ss", $username, $password);
mysqli_stmt_execute($stmt);
$result = mysqli_stmt_get_result($stmt);

if (mysqli_num_rows($result) == 1) {
    $row = mysqli_fetch_assoc($result);
    setcookie("username", $row['username'], time() + 3600);
    setcookie("is_admin", $row['is_admin'], time() + 3600);

    if ($row['is_admin']) {
        header("Location: admin_page.php");
    } else {
        header("Location: user_page.php");
    }
    exit();
} else {
    echo "<p>Login failed. <a href='login_form.php'>Try again</a></p>";
}
?>
